[Variables]

; AUDIO SETTINGS
Sensitivity=30
FFTSize=1024
FFTOverlap=512
FFTAttack=25
FFTDecay=150
FreqMin=20
FreqMax=18000

; † Dots †
DotsSpace=40
DotsSize=100
DotsStrokeScale=10

DFLTDotsXA=((#SCREENAREAWIDTH#/2)-(#DotsSpace#*9))
DFLTDotsYA=(#SCREENAREAHEIGHT#/2)
DFLTDotsXB=10
DFLTDotsYB=#DotsSize#

DotsXA=#DFLTDotsXA#
DotsYA=#DFLTDotsYA#

; † Dots2 †
Dots2Space=40
Dots2Size=100
Dots2StrokeScale=10

DFLTDots2XA=((#SCREENAREAWIDTH#/2)-(#Dots2Space#*9))
DFLTDots2YA=(#SCREENAREAHEIGHT#/2)
DFLTDots2XB=10
DFLTDots2YB=#DotsSize#

Dots2XA=#DFLTDots2XA#
Dots2YA=#DFLTDots2YA#

; ~~~ Line ~~~
LineWidth=130
LineStrokeScale=10
LineGainMultiplier=0.75

DFLTLineXA=((#SCREENAREAWIDTH#/2)-(#LineWidth#*3))
DFLTLineYA=(#SCREENAREAHEIGHT#/2)
DFLTLineXB=10
DFLTLineYB=(((#LineWidth#*#LineGainMultiplier#)/2)+((#LineWidth#/#LineStrokeScale#)*3))
 
LineXA=#DFLTLineXA#
LineYA=#DFLTLineYA#

; ~~~ Divided Line ~~~
DLineWidth=130
DLineStrokeScale=10
DLineGainMultiplier=0.75

DFLTDLineXA=((#SCREENAREAWIDTH#/2)-(#DLineWidth#*3))
DFLTDLineYA=(#SCREENAREAHEIGHT#/2)
DFLTDLineXB=10
DFLTDLineYB=(((#DLineWidth#*#DLineGainMultiplier#)/2)+((#DLineWidth#/#DLineStrokeScale#)*3))
 
DLineXA=#DFLTDLineXA#
DLineYA=#DFLTDLineYA#

; \(._.)/ Jagged Line \(._.)/
JLineWidth=130
JLineStrokeScale=4
JLineGainMultiplier=0.5

DFLTJLineXA=((#SCREENAREAWIDTH#/2)-(#JLineWidth#*3))
DFLTJLineYA=(#SCREENAREAHEIGHT#/2)
DFLTJLineXB=10
DFLTJLineYB=((#JLineWidth#*#JLineGainMultiplier#)*2.25)
 
JLineXA=#DFLTJLineXA#
JLineYA=#DFLTJLineYA#

; <><><> Helix <><><>
HelixWidth=130
HelixStrokeScale=10
HelixGainMultiplier=0.75

DFLTHelixXA=((#SCREENAREAWIDTH#/2)-(#HelixWidth#*3))
DFLTHelixYA=(#SCREENAREAHEIGHT#/2)
DFLTHelixXB=10
DFLTHelixYB=(((#HelixWidth#*#HelixGainMultiplier#)/2)+((#HelixWidth#/#HelixStrokeScale#)*3))
 
HelixXA=#DFLTHelixXA#
HelixYA=#DFLTHelixYA#

; <><><> Divided Helix <><><>
DHelixWidth=130
DHelixStrokeScale=10
DHelixGainMultiplier=0.75

DFLTDHelixXA=((#SCREENAREAWIDTH#/2)-(#DHelixWidth#*3))
DFLTDHelixYA=(#SCREENAREAHEIGHT#/2)
DFLTDHelixXB=10
DFLTDHelixYB=(((#DHelixWidth#*#DHelixGainMultiplier#)/2)+((#DHelixWidth#/#DHelixStrokeScale#)*3))
 
DHelixXA=#DFLTDHelixXA#
DHelixYA=#DFLTDHelixYA#

; < idk > Jagged Helix < idk >
JHelixWidth=130
JHelixStrokeScale=4
JHelixGainMultiplier=0.5

DFLTJHelixXA=((#SCREENAREAWIDTH#/2)-(#JHelixWidth#*3))
DFLTJHelixYA=(#SCREENAREAHEIGHT#/2)
DFLTJHelixXB=10
DFLTJHelixYB=((#JHelixWidth#*#JHelixGainMultiplier#)*2.25)

JHelixXA=#DFLTJHelixXA#
JHelixYA=#DFLTJHelixYA#

; Rhombus

;Width of shape in Pixels.
; Default --
; RhombusStrokeScale=30
RhombusStrokeScale=30

;Space between shapes. (Counting from the center of the shapes, not the edges)
;RhombusSpace=70
RhombusSpace=70

;Width of the entire visualizer divided by 2.
; (to align it in the center of screen.)
; Default --
; RhombusWidth=200 
RhombusWidth=200
DotsStrokeScale=10
